# PhasicFlow: solvers/iterateSphereParticles/createDEMComponents.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

createDEMComponents.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| REPORT (0)<<"\nReading sphere particles . . ."<< END_REPORT

## Variables

pFlow::sphereParticles | sphParticles (Control, proprties)

## Function Documentation

## REPORT()

REPORT | ( | 0 |  | ) |

## Variable Documentation

## sphParticles

pFlow::sphereParticles sphParticles(Control, proprties)

Referenced by main(), and periodicBoundarySphereInteraction< contactForceModel, geometryMotionModel >::sphereSphereInteraction().